org.eclipse.emf.cdo.server.hibernate

## Interface IHibernateMappingProvider

-     public interface IHibernateMappingProvider

  A mapping provider adds a hibernate mapping to a hibernate configuration object.
  Author:
    Martin Taal

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IHibernateMappingProvider.Factory` Creates `mapping provider` instances.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMapping()`
    `void` | `setHibernateStore(IHibernateStore hibernateStore)` Sets the Store in the mapping provider, is called before addMapping.

- - ### Method Detail

    - #### getMapping

          String getMapping()

      Returns:
        the mapping as a String.
      Since:
        3.0

    - #### setHibernateStore

          void setHibernateStore(IHibernateStore hibernateStore)

      Sets the Store in the mapping provider, is called before addMapping.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html